edu.whs.spin2018.baoapp.views.spiel

## Interface BaoSpielContract.Presenter

- All Superinterfaces:
    BasePresenter<SpielbrettRemoteDataSource>, SpielbrettEventListener
  All Known Implementing Classes:
    BaoSpielPresenter
  Enclosing interface:
    BaoSpielContract

      public static interface BaoSpielContract.Presenter
      extends BasePresenter<SpielbrettRemoteDataSource>, SpielbrettEventListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialisiereAktuelleTimeranzeige(SpielerIndex spielerIndex)` Wird zu Beginn aufgerufen, um die richtige Timeranzeige auszuwählen.
    `void` | `onMuldenKlick(Position pos)` Wird aufgerufen, wenn eine Mulde auf dem Spielbrett angeklickt wurde.
    `void` | `onSpielzugAnzeigeAbgeschlossen()` Teilt dem Presenter mit, dass die Anzeige der Animationen auf der View angeschlossen sind und somit der naechste Spieler am Zug ist.
    `void` | `verarbeiteSpielerwechsel(SpielerIndex spielerIndex)` Wird aufgerufen wenn ein Spielerwechsel erfolgt ist.
    `void` | `verarbeiteSpielzug(Spielzug spielzug)` Wird aufgerufen um den berechneten Spielzug zu verarbeiten.

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.presenter.BasePresenter

      `setzeServiceInteractor, stop`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.model.remote.spielbrett.SpielbrettEventListener

      `onBenutzerVerlaesstRaum, onSpielzugErhalten`

- - ### Method Detail

    - #### verarbeiteSpielzug

          void verarbeiteSpielzug(Spielzug spielzug)

      Wird aufgerufen um den berechneten Spielzug zu verarbeiten.
      Parameters:
        `spielzug` -

    - #### verarbeiteSpielerwechsel

          void verarbeiteSpielerwechsel(SpielerIndex spielerIndex)

      Wird aufgerufen wenn ein Spielerwechsel erfolgt ist.
      Parameters:
        `spielerIndex` - der Spieler, der nach dem Wechsel am Zug ist

    - #### initialisiereAktuelleTimeranzeige

          void initialisiereAktuelleTimeranzeige(SpielerIndex spielerIndex)

      Wird zu Beginn aufgerufen, um die richtige Timeranzeige auszuwählen.
      Parameters:
        `spielerIndex` - - Spieler fuer den der Timer angezeigt werden soll

    - #### onMuldenKlick

          void onMuldenKlick(Position pos)

      Wird aufgerufen, wenn eine Mulde auf dem Spielbrett angeklickt wurde.
      Parameters:
        `pos` - - Position der angeklickten Mulde auf dem Spielfeld

    - #### onSpielzugAnzeigeAbgeschlossen

          void onSpielzugAnzeigeAbgeschlossen()

      Teilt dem Presenter mit, dass die Anzeige der Animationen auf der View angeschlossen sind und somit der naechste Spieler am Zug ist.